<?
// ################### PRE-CACHE TEMPLATES AND DATA ######################
// get special phrase groups
$phrasegroups = array('posting');

if ($_REQUEST['todo'])
$todo = $_REQUEST['todo'];

// pre-cache templates used by all actions
$globaltemplates = array(
	'mwaextraedit4_poem_form',
	'mwaextraedit4_frame_form',
	'mwaextraedit4_text',
	'mwaextraedit4_gradient_form',
	'mwaextraedit4_color');

	if ($todo=='color')
	 {
	require_once('./global.php');	
		
	eval('print_output("' . fetch_template('mwaextraedit4_color') . '");');
	 }

	if ($todo=='frame')
	 {
	require_once('./global.php');	
		
	eval('print_output("' . fetch_template('mwaextraedit4_frame_form') . '");');
	 }

	if ($todo=='gradient')
	 {
	require_once('./global.php');	
	eval('print_output("' . fetch_template('mwaextraedit4_gradient_form') . '");');
	 }

	if ($todo=='text')
	 {
	require_once('./global.php');	
		
	eval('print_output("' . fetch_template('mwaextraedit4_text') . '");');
	 }

	if ($todo=='poem')
	 {
	require_once('./global.php');	
		
	eval('print_output("' . fetch_template('mwaextraedit4_poem_form') . '");');
	 }

	if ($todo=='quran')
	 {
	require_once('./global.php');	
		
	eval('print_output("' . fetch_template('mwaextraedit4_quran_form') . '");');
	 }

?>